-- if you want another jump point,
-- add it here.
local kCar = "CAR"
local kCemetery = "CEMETERY"
local jump = nil

if (jump == kCar) then
	-- jump to the car layout
	layoutCar:show()
	
	-- jump the goalstack
	goalStack.index = 17

elseif (jump == kCemetery) then
	-- jump to the cemetery layout
	layoutCemetery:show()

	-- jump the goalstack
	goalStack.index = 24
	
	-- some object states
	objectHoWiresBattery:ss(kActive)

else
	-- items to find label initially faded out
	scene:child("LABEL_ITEMSTOFIND"):setAlpha(0)

	-- we don't allow scrolling initially!
	allowScrolling(false)
	
	-- porch is the first one we show
	layoutPorch:show()
	
	-- deactivate all flies
	-- then activate the one we want to hint about
	fireFlies:deactivateFly(objectFirefly001)
	fireFlies:deactivateFly(objectFirefly002)
	fireFlies:deactivateFly(objectFirefly003)
	fireFlies:deactivateFly(objectFirefly040)
	fireFlies:deactivateFly(objectFirefly041)
	fireFlies:deactivateFly(objectFirefly042)
	fireFlies:activateFly(objectFirefly001)

	-- but we start with a movie
	play(movieSettings[kMovieIntro])
end